<?xml version="1.0" encoding="UTF-8" ?>

<!-- IGAC proyecto SNC -->
<!-- 
@author david.cifuentes		
@description Muestra el detalle de un modelo de construcción, pantalla de solo lectura. 
-->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui" 
        id="detalleTablaUnidadesDelModeloForm">

    <h:panelGrid columns="1" cellspacing="0" width="100%">
        <p:fieldset>
            <legend> <h:outputLabel
                    value="Unidades del modelo de construcción" styleClass="legendTitle" />
            </legend>
            <p:spacer height="2" />
            <h:panelGrid columns="2" cellspacing="10" cellpadding="10">
                <h:outputLabel value="Tipo de modelo:"	styleClass="outputLabelStyle" />
                <h:outputText value="#{managedBeanParam.tipoDeModelo}" />
            </h:panelGrid>
            <p:spacer height="10" />

            <p:dataTable var="unidadDelModeloConstruccion"
                         value="#{managedBeanParam.listUnidadesDelModeloDeConstruccion}"
                         id="tablaUnidadesDelModeloDeConstruccionLectura"
                         paginator="true" rows="5" rowKey="#{unidadDelModeloConstruccion.id}"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                         emptyMessage="No existen unidades de construcción para este modelo">

                <p:column headerText="Uso unidad">
                    <h:outputText
                        value="#{unidadDelModeloConstruccion.usoConstruccion.nombre}"
                        styleClass="outputTextStyle" />
                </p:column>

                <p:column headerText="Detalle">
                    <p:commandButton title="Detalle de la unidad" icon="ui-icon-search"
                                     process="@this" action="#{managedBeanParam.cargarUnidadDelModelo}"
                                     update=":detalleLecturaUnidadDelModeloDeConstruccionForm"
                                     oncomplete="detalleLecturaUnidadDelModeloDeConstruccionWV.show()">
                        <f:setPropertyActionListener
                            value="#{unidadDelModeloConstruccion}"
                            target="#{managedBeanParam.unidadDelModeloDeConstruccionSeleccionada}" />
                        <f:setPropertyActionListener value="true"
                                                     target="#{managedBeanParam.unidadDelModeloEditModeBool}" />
                    </p:commandButton>
                </p:column>

            </p:dataTable>
            <p:spacer width="5" />
        </p:fieldset>
    </h:panelGrid>

</h:form>